Follow

Well, it seems just screwed the pooch. has gone and dumped all of my extensions, because apparently someone let an intermediate cert expire. Seems to be impacting most users and I'm seeing folks losing their sh*t about it.

Posting this from which I may just keep using from now on (at least until I decide on a different browser). I've just gotten kind of with these Firefox shenanigans.

Sign in to participate in the conversation
Social

social.sdoconnell.net is one server in the network